Name:           perl-HTTP-Throwable
Version:        0.026
Release:        1%{?dist}
Summary:        Set of strongly-typed, PSGI-friendly HTTP 1.1 exception libraries
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/HTTP-Throwable/
Source0:        http://www.cpan.org/authors/id/R/RJ/RJBS/HTTP-Throwable-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl(Carp)
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(File::Spec)
BuildRequires:  perl(HTTP::Request::Common)
BuildRequires:  perl(List::AllUtils)
BuildRequires:  perl(Module::Runtime)
BuildRequires:  perl(Moo) >= 1.004003
BuildRequires:  perl(Moo::Role)
BuildRequires:  perl(MooX::StrictConstructor)
BuildRequires:  perl(namespace::clean)
BuildRequires:  perl(Package::Variant) >= 1.002000
BuildRequires:  perl(Plack) >= 0.9967
BuildRequires:  perl(Plack::Builder)
BuildRequires:  perl(Plack::Test)
BuildRequires:  perl(Plack::Util)
BuildRequires:  perl(Scalar::Util)
BuildRequires:  perl(StackTrace::Auto)
BuildRequires:  perl(Sub::Exporter)
BuildRequires:  perl(Sub::Exporter::Util)
BuildRequires:  perl(Test::Deep)
BuildRequires:  perl(Test::Fatal) >= 0.003
BuildRequires:  perl(Test::More) >= 0.96
BuildRequires:  perl(Throwable) >= 0.102080
BuildRequires:  perl(Types::Standard)
BuildRequires:  perl(Type::Tiny)
BuildRequires:  perl(Type::Utils)
Requires:       perl(Carp)
Requires:       perl(List::AllUtils)
Requires:       perl(Module::Runtime)
Requires:       perl(Moo) >= 1.004003
Requires:       perl(Moo::Role)
Requires:       perl(MooX::StrictConstructor)
Requires:       perl(namespace::clean)
Requires:       perl(Package::Variant) >= 1.002000
Requires:       perl(Plack) >= 0.9967
Requires:       perl(Plack::Util)
Requires:       perl(StackTrace::Auto)
Requires:       perl(Sub::Exporter)
Requires:       perl(Sub::Exporter::Util)
Requires:       perl(Throwable) >= 0.102080
Requires:       perl(Types::Standard)
Requires:       perl(Type::Tiny)
Requires:       perl(Type::Utils)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
HTTP-Throwable provides a set of strongly-typed, PSGI-friendly exception
implementations corresponding to the HTTP error status code (4xx-5xx) as
well as the redirection codes (3xx).

%prep
%setup -q -n HTTP-Throwable-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc Changes dist.ini LICENSE META.json README README.md
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Wed Jan 20 2016 Dave Cross <dave@mag-sol.com> 0.026-1
- Specfile autogenerated by cpanspec 1.78.
